---
title: Get information about a "Throttle" node of a Smart Campaign
slug: campaign/api/get-information-about-a-throttle-node-of-a-smart-campaign
docTags: 
createdAt: 2026-09-02T15:04:15.718Z
---

{
  "id": "uV-lMo1Y96pWveV-pDFwA",
  "type": "api-oas-v2",
  "data": {
    "method": "GET",
    "url": "https://api.campaign.episerver.net/rest/{clientId}/smartcampaigns/{campaignId}/throttles/{throttleNodeId}",
    "servers": [
      {
        "url": "https://api.campaign.episerver.net/rest/{clientId}/smartcampaigns/{campaignId}/throttles/{throttleNodeId}"
      }
    ],
    "name": "Get information about a \"Throttle\" node of a Smart Campaign",
    "description": "<p>Get detailed information about a \"Throttle\" node in a Smart Campaign, such as messages per hour, node ID or successor node ID.</p>",
    "contentType": "application/json",
    "request": {
      "pathParameters": [
        {
          "kind": "required",
          "name": "clientId",
          "type": "integer<int64>",
          "description": "Client ID",
          "format": "int64"
        },
        {
          "kind": "required",
          "name": "throttleNodeId",
          "type": "string",
          "description": "\"Throttle\" node ID"
        },
        {
          "kind": "required",
          "name": "campaignId",
          "type": "integer<int64>",
          "description": "Smart Campaign ID",
          "format": "int64"
        }
      ],
      "headerParameters": [
        {
          "name": "accept",
          "type": "string",
          "kind": "optional",
          "description": "Generated from available response content types",
          "enum": [
            "application/json",
            "application/vnd.optivo.broadmail.v1+json"
          ],
          "default": "application/json"
        }
      ],
      "queryParameters": [],
      "bodyDataParameters": [],
      "formDataParameters": [],
      "oAuthParameters": [
        {
          "id": "Authorization",
          "name": "Authorization",
          "kind": "optional",
          "type": "apiKey",
          "in": "header"
        }
      ],
      "cookieParameters": []
    },
    "responses": [
      {
        "statusCode": "200",
        "description": "<p>The \"Throttle\" node was retrieved successfully (empty response if no \"Throttle\" node was found).</p>",
        "jsonExample": "",
        "isExpanded": true,
        "schema": [
          {
            "kind": "optional",
            "type": "object",
            "description": "",
            "customType": "RestThrottleNode",
            "schema": [
              {
                "name": "nodeId",
                "kind": "optional",
                "type": "string",
                "description": "Node ID"
              },
              {
                "name": "successorNodeId",
                "kind": "optional",
                "type": "string",
                "description": "Successor node ID"
              },
              {
                "name": "maxMessagesPerHour",
                "kind": "optional",
                "type": "integer<int32>",
                "description": "",
                "format": "int32"
              },
              {
                "name": "links",
                "kind": "optional",
                "type": "array",
                "description": "Links for further requests",
                "example": "",
                "itemType": "object",
                "customType": "object[]",
                "schema": [
                  {
                    "name": "uriBuilder",
                    "kind": "optional",
                    "type": "object",
                    "description": "",
                    "example": "",
                    "schema": []
                  },
                  {
                    "name": "rels",
                    "kind": "optional",
                    "type": "array",
                    "description": "",
                    "example": "",
                    "itemType": "string",
                    "customType": "string[]",
                    "itemExample": "",
                    "itemDefault": ""
                  },
                  {
                    "name": "rel",
                    "kind": "optional",
                    "type": "string",
                    "description": ""
                  },
                  {
                    "name": "type",
                    "kind": "optional",
                    "type": "string",
                    "description": ""
                  },
                  {
                    "name": "params",
                    "kind": "optional",
                    "type": "map",
                    "description": "",
                    "example": "",
                    "customType": "map<string, string>",
                    "schema": []
                  },
                  {
                    "name": "title",
                    "kind": "optional",
                    "type": "string",
                    "description": ""
                  },
                  {
                    "name": "uri",
                    "kind": "optional",
                    "type": "string<uri>",
                    "description": "",
                    "format": "uri"
                  }
                ]
              },
              {
                "name": "gridLocation",
                "kind": "optional",
                "type": "object",
                "description": "Grid location point",
                "modelRef": "#/components/schemas/Point",
                "customType": "Point",
                "schema": [
                  {
                    "name": "x",
                    "kind": "optional",
                    "type": "integer<int32>",
                    "description": "",
                    "format": "int32"
                  },
                  {
                    "name": "y",
                    "kind": "optional",
                    "type": "integer<int32>",
                    "description": "",
                    "format": "int32"
                  }
                ]
              }
            ],
            "modelRef": "#/components/schemas/RestThrottleNode",
            "isExpanded": true
          }
        ]
      },
      {
        "statusCode": "404",
        "description": "The \"Throttle\" node could not be found in the Smart Campaign. Ensure that the required parameters such as \"campaignId\" or \"throttleNodeId\" are correct and the \"Throttle\" node exists.",
        "jsonExample": "",
        "isExpanded": true
      }
    ],
    "hasXCodeSamples": false,
    "examples": {
      "languages": [
        {
          "id": "yqyQS0bs9JPZgSLjMcYuR",
          "language": "curl",
          "label": "cURL",
          "code": "curl --request GET \\\n     --url https://api.campaign.episerver.net/rest/{clientId}/smartcampaigns/{campaignId}/throttles/{throttleNodeId} \\\n     --header 'accept: application/json'"
        },
        {
          "id": "jSwoA5NywdY7F2k_mZnA_",
          "language": "javascript",
          "label": "javascript",
          "code": "var myHeaders = new Headers();\nmyHeaders.append(\"accept\", \"application/json\");\nmyHeaders.append(\"content-type\", \"application/json\");\n\nvar requestOptions = {\n   method: 'GET',\n   headers: myHeaders,\n   redirect: 'follow'\n};\n\nfetch(\"https://api.campaign.episerver.net/rest/{clientId}/smartcampaigns/{campaignId}/throttles/{throttleNodeId}\", requestOptions)\n   .then(response => response.text())\n   .then(result => console.log(result))\n   .catch(error => console.log('error', error));"
        },
        {
          "id": "RL3p3TylF8d0mg5iUsgdd",
          "language": "ruby",
          "label": "Ruby",
          "code": "require \"uri\"\nrequire \"json\"\nrequire \"net/http\"\n\nurl = URI(\"https://api.campaign.episerver.net/rest/{clientId}/smartcampaigns/{campaignId}/throttles/{throttleNodeId}\")\n\nhttps = Net::HTTP.new(url.host, url.port)\nhttps.use_ssl = true\n\nrequest = Net::HTTP::Get.new(url)\nrequest[\"accept\"] = \"application/json\"\nrequest[\"content-type\"] = \"application/json\"\n\nresponse = https.request(request)\nputs response.read_body\n"
        },
        {
          "id": "4cGQICgrszOvxrQLOO1tJ",
          "language": "python",
          "label": "Python",
          "code": "import requests\nimport json\n\nurl = \"https://api.campaign.episerver.net/rest/{clientId}/smartcampaigns/{campaignId}/throttles/{throttleNodeId}\"\n\npayload = {}\nheaders = {\n   'accept': 'application/json',\n   'content-type': 'application/json'\n}\n\nresponse = requests.request(\"GET\", url, headers=headers, data=payload)\n\nprint(response.text)\n"
        }
      ],
      "selectedLanguageId": "yqyQS0bs9JPZgSLjMcYuR"
    },
    "results": {
      "languages": [
        {
          "id": "response-0-200",
          "language": "200",
          "code": "// The \"Throttle\" node was retrieved successfully (empty response if no \"Throttle\" node was found).\n{\n  \"nodeId\": \"\",\n  \"successorNodeId\": \"\",\n  \"maxMessagesPerHour\": \"\",\n  \"links\": [\n    {\n      \"uriBuilder\": {},\n      \"rels\": [\n        \"\"\n      ],\n      \"rel\": \"\",\n      \"type\": \"\",\n      \"params\": \"\",\n      \"title\": \"\",\n      \"uri\": \"\"\n    }\n  ],\n  \"gridLocation\": {\n    \"x\": \"\",\n    \"y\": \"\"\n  }\n}"
        },
        {
          "id": "response-1-404",
          "language": "404",
          "code": "// The \"Throttle\" node could not be found in the Smart Campaign. Ensure that the required parameters such as \"campaignId\" or \"throttleNodeId\" are correct and the \"Throttle\" node exists.\n"
        }
      ],
      "selectedLanguageId": "response-0-200"
    }
  },
  "children": [
    {
      "text": ""
    }
  ]
}